import h5py
import numpy as np

fname = "../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5"

with h5py.File(fname, "r") as inp:
    data = inp["samples"][:]
    synthetic_mass_1 = np.array([ data[f"synthetic_mass_1_{ii}"] for ii in range(44)])

maximum_observed_mass = []
for i in range(synthetic_mass_1.shape[-1]):
    maximum_observed_mass.append(np.max(synthetic_mass_1[:, i]))

maximum_observed_mass = np.array(maximum_observed_mass)

Pmax_observed_mass_bigger_80 = np.sum([maximum_observed_mass > 80])/len(maximum_observed_mass)


stat_file = open("observed_m1_stats.txt",'w')
stat_file.write("% "+"probability that observed m1 is greater than 80 Msun after 44 detections from power law + peak, using data from "+fname+"\n")
stat_file.write("\\newcommand{\\%s}{\ensuremath{%s}}\n" % ('peakNoAugNoEvolutionObsPrimaryMassGrEightyPercent', int(100*np.round(Pmax_observed_mass_bigger_80,2))))
stat_file.write(" \n")

stat_file.close()
